org.richfaces.renderkit.html

## Class DataScrollerRenderer

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.ajax4jsf.renderkit.RendererBase
    - - org.ajax4jsf.renderkit.HeaderResourcesRendererBase
      - - org.richfaces.renderkit.html.DataScrollerRenderer

- All Implemented Interfaces:
    org.ajax4jsf.renderkit.ChameleonRenderer, org.ajax4jsf.renderkit.HeaderResourceProducer, org.ajax4jsf.renderkit.HeaderResourceProducer2, org.ajax4jsf.resource.ResourceProduser
  Direct Known Subclasses:
    DatascrollerTemplate

      public class DataScrollerRenderer
      extends org.ajax4jsf.renderkit.HeaderResourcesRendererBase

- - ### Field Summary

    - ### Fields inherited from class org.ajax4jsf.renderkit.RendererBase

      `JAVASCRIPT_NAMESPACE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataScrollerRenderer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doDecode(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected java.lang.Class` | `getComponentClass()`
    `ControlsState` | `getControlsState(javax.faces.context.FacesContext context, UIDatascroller datascroller, int pageIndex, int pageCount)`
    `java.lang.Object` | `getOnClick(java.lang.String string)`
    `protected java.util.Map` | `getParameters(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `boolean` | `getRendersChildren()` Creates HtmlAjaxCommandLink sets its id, value and reRender and UIParameter
    `java.lang.String` | `getSubmitFunction(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `void` | `renderPager(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, int pageIndex, int count)`
    `void` | `renderPages(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, int pageIndex, int count)`

    - ### Methods inherited from class org.ajax4jsf.renderkit.HeaderResourcesRendererBase

      `encodeResourcesArray, encodeToHead, getHeaderScripts, getHeaderStyles, getScripts, getStyles`

    - ### Methods inherited from class org.ajax4jsf.renderkit.RendererBase

      `addResource, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getResource, getSkin, getUtils, preDecode, preEncodeBegin, renderChild, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DataScrollerRenderer

          public DataScrollerRenderer()

  - ### Method Detail

    - #### getComponentClass

          protected java.lang.Class getComponentClass()

      Specified by:
        `getComponentClass` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### doDecode

          public void doDecode(javax.faces.context.FacesContext context,
                      javax.faces.component.UIComponent component)

      Overrides:
        `doDecode` in class `org.ajax4jsf.renderkit.RendererBase`

    - #### getControlsState

          public ControlsState getControlsState(javax.faces.context.FacesContext context,
                                       UIDatascroller datascroller,
                                       int pageIndex,
                                       int pageCount)

    - #### renderPager

          public void renderPager(javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component,
                         int pageIndex,
                         int count)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getOnClick

          public java.lang.Object getOnClick(java.lang.String string)

    - #### renderPages

          public void renderPages(javax.faces.context.FacesContext context,
                         javax.faces.component.UIComponent component,
                         int pageIndex,
                         int count)
                           throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### getParameters

          protected java.util.Map getParameters(javax.faces.context.FacesContext context,
                                    javax.faces.component.UIComponent component)

    - #### getSubmitFunction

          public java.lang.String getSubmitFunction(javax.faces.context.FacesContext context,
                                           javax.faces.component.UIComponent component)

    - #### getRendersChildren

          public boolean getRendersChildren()

      Creates HtmlAjaxCommandLink sets its id, value and reRender and UIParameter
      Overrides:
        `getRendersChildren` in class `javax.faces.render.Renderer`

Copyright © 2013. All Rights Reserved.